diff --git a/src/components/shared/orchestrator-panel.tsx b/src/components/shared/orchestrator-panel.tsx
new file mode 100644
index 0000000..73d8f62
--- /dev/null
+++ b/src/components/shared/orchestrator-panel.tsx
@@ -0,0 +1,118 @@
+'use client';
+
+import { useEffect, useMemo, useState } from 'react';
+import { Send } from 'lucide-react';
+import type { RuntimeInstance } from '../../lib/embedded-runtime';
+import type { OrchestratorChatMessage } from '../../lib/orchestrator-chat';
+
+export interface OrchestratorPanelProps {
+  orchestrator: RuntimeInstance;
+  thread: OrchestratorChatMessage[];
+  projectRoot?: string;
+}
+
+export function OrchestratorPanel({ orchestrator, thread, projectRoot }: OrchestratorPanelProps) {
+  const [input, setInput] = useState('');
+  const [submitting, setSubmitting] = useState(false);
+  const [optimisticMessages, setOptimisticMessages] = useState<OrchestratorChatMessage[]>([]);
+
+  useEffect(() => {
+    setOptimisticMessages((current) =>
+      current.filter((pending) => !thread.some((message) => message.role === 'user' && message.text === pending.text))
+    );
+  }, [thread]);
+
+  const visibleThread = useMemo(() => [...thread, ...optimisticMessages], [thread, optimisticMessages]);
+
+  const handleSubmit = async (e: React.FormEvent) => {
+    e.preventDefault();
+    if (!input.trim() || submitting || !projectRoot) return;
+    
+    setSubmitting(true);
+    const text = input.trim();
+    setInput('');
+    setOptimisticMessages((current) => [
+      ...current,
+      {
+        id: `optimistic-${Date.now()}-${Math.random().toString(36).slice(2, 8)}`,
+        role: 'user',
+        text,
+        timestamp: new Date().toISOString(),
+      },
+    ]);
+
+    try {
+      await fetch('/api/runtime/prompt', {
+        method: 'POST',
+        headers: { 'Content-Type': 'application/json' },
+        body: JSON.stringify({ projectRoot, text })
+      });
+    } finally {
+      setSubmitting(false);
+    }
+  };
+
+  return (
+    <div className="flex h-full min-h-0 flex-col" data-testid="orchestrator-panel">
+      <div className="border-b border-[var(--border-subtle)] px-4 py-3">
+        <p className="font-mono text-[10px] uppercase tracking-[0.14em] text-[var(--text-tertiary)]">Main Orchestrator</p>
+        <div className="mt-2 flex items-center justify-between gap-2">
+          <div>
+            <p className="text-sm font-semibold text-[var(--text-primary)]">{orchestrator.label}</p>
+            <p className="text-xs text-[var(--text-secondary)]">Long-lived project control plane for Pi launches</p>
+          </div>
+          <span className="rounded-full border border-cyan-500/30 bg-cyan-500/10 px-2 py-1 text-[10px] uppercase tracking-[0.12em] text-cyan-200">
+            {orchestrator.status}
+          </span>
+        </div>
+      </div>
+
+      <div className="min-h-0 flex-1 overflow-y-auto px-4 py-3 custom-scrollbar">
+        <div className="space-y-3">
+          {visibleThread.map((message) => (
+            <div
+              key={message.id}
+              className={`flex ${message.role === 'user' ? 'justify-end' : 'justify-start'}`}
+            >
+              <div
+                className={message.role === 'user'
+                  ? 'max-w-[85%] rounded-2xl rounded-br-md bg-cyan-500/15 px-3 py-2 text-sm text-cyan-50 border border-cyan-500/25'
+                  : 'max-w-[85%] rounded-2xl rounded-bl-md bg-[var(--surface-quaternary)] px-3 py-2 text-sm text-[var(--text-primary)] border border-[var(--border-subtle)]'
+                }
+              >
+                <p className="whitespace-pre-wrap leading-relaxed">{message.text}</p>
+              </div>
+            </div>
+          ))}
+          {visibleThread.length === 0 ? (
+            <p className="rounded-lg border border-dashed border-[var(--border-subtle)] bg-[var(--surface-quaternary)] px-3 py-4 text-sm text-[var(--text-tertiary)]">
+              No orchestrator messages yet.
+            </p>
+          ) : null}
+        </div>
+      </div>
+
+      {projectRoot && (
+        <div className="border-t border-[var(--border-subtle)] p-3">
+          <form onSubmit={handleSubmit} className="relative flex items-center">
+            <input
+              type="text"
+              value={input}
+              onChange={(e) => setInput(e.target.value)}
+              placeholder="Ask the orchestrator..."
+              className="w-full rounded-md border border-[var(--border-subtle)] bg-[var(--surface-tertiary)] px-3 py-2 pr-10 text-sm placeholder-[var(--text-tertiary)] focus:border-[var(--brand-primary)] focus:outline-none"
+              disabled={submitting}
+            />
+            <button
+              type="submit"
+              disabled={!input.trim() || submitting}
+              className="absolute right-2 text-[var(--text-tertiary)] hover:text-[var(--text-primary)] disabled:opacity-50"
+            >
+              <Send size={16} />
+            </button>
+          </form>
+        </div>
+      )}
+    </div>
+  );
+}
diff --git a/src/components/shared/runtime-console.tsx b/src/components/shared/runtime-console.tsx
new file mode 100644
index 0000000..50a466d
--- /dev/null
+++ b/src/components/shared/runtime-console.tsx
@@ -0,0 +1,101 @@
+'use client';
+
+import { useState } from 'react';
+import { ChevronDown, ChevronUp, TerminalSquare } from 'lucide-react';
+
+import { cn } from '../../lib/utils';
+import type { RuntimeConsoleEvent } from '../../lib/embedded-runtime';
+
+export interface RuntimeConsoleProps {
+  events: RuntimeConsoleEvent[];
+  daemonStatus?: string | null;
+}
+
+function statusTone(status?: RuntimeConsoleEvent['status']): string {
+  if (status === 'failed' || status === 'blocked') return 'text-red-300';
+  if (status === 'completed') return 'text-emerald-300';
+  if (status === 'planning' || status === 'launching') return 'text-amber-300';
+  return 'text-cyan-200';
+}
+
+function isWorkerEvent(event: RuntimeConsoleEvent): boolean {
+  return (
+    event.kind === 'worker.spawned' ||
+    event.kind === 'worker.updated' ||
+    event.kind === 'worker.completed' ||
+    event.kind === 'worker.failed'
+  );
+}
+
+function formatTimestamp(timestamp: string): string {
+  const date = new Date(timestamp);
+  return Number.isNaN(date.getTime()) ? timestamp : date.toLocaleTimeString([], { hour: '2-digit', minute: '2-digit' });
+}
+
+export function RuntimeConsole({ events, daemonStatus }: RuntimeConsoleProps) {
+  const [isMinimized, setIsMinimized] = useState(false);
+
+  return (
+    <section
+      className="border-t border-[var(--border-strong)] bg-[var(--surface-elevated)]"
+      data-testid="runtime-console"
+    >
+      <div className="flex items-center justify-between border-b border-[var(--border-subtle)] px-4 py-2">
+        <div className="flex items-center gap-4">
+          <div>
+            <p className="font-mono text-[10px] uppercase tracking-[0.14em] text-[var(--text-tertiary)]">Runtime Console</p>
+            <p className="text-xs text-[var(--text-secondary)]">Live orchestrator and worker telemetry</p>
+          </div>
+          <div className="inline-flex items-center gap-2 rounded-full border border-[var(--border-subtle)] bg-[var(--surface-tertiary)] px-2.5 py-1 text-[10px] uppercase tracking-[0.12em] text-[var(--text-tertiary)]">
+            <TerminalSquare className="h-3.5 w-3.5" aria-hidden="true" />
+            {daemonStatus ? `daemon ${daemonStatus} · ` : ''}{events.length} event{events.length === 1 ? '' : 's'}
+          </div>
+        </div>
+        <button
+          type="button"
+          onClick={() => setIsMinimized(!isMinimized)}
+          className="rounded p-1 text-[var(--text-tertiary)] transition-colors hover:bg-[var(--alpha-white-low)] hover:text-[var(--text-primary)]"
+          title={isMinimized ? 'Expand console' : 'Minimize console'}
+          aria-label={isMinimized ? 'Expand console' : 'Minimize console'}
+        >
+          {isMinimized ? <ChevronUp size={16} /> : <ChevronDown size={16} />}
+        </button>
+      </div>
+
+      {!isMinimized && (
+        <div className="grid max-h-44 gap-2 overflow-y-auto px-4 py-3 custom-scrollbar">
+          {events.map((event) => (
+            <article
+              key={event.id}
+              className="rounded-lg border border-[var(--border-subtle)] bg-[var(--surface-quaternary)] px-3 py-2"
+            >
+              <div className="mb-1 flex items-center justify-between gap-2">
+                <div className="flex min-w-0 items-center gap-2">
+                  {isWorkerEvent(event) && (
+                    <span className="inline-flex items-center gap-1 rounded-full bg-indigo-500/10 px-1.5 py-0.5 text-[9px] font-mono uppercase tracking-wider text-indigo-300" title="Worker Agent Event">
+                      Worker
+                    </span>
+                  )}
+                  <span className={cn('font-mono text-[10px] uppercase tracking-[0.12em]', statusTone(event.status))}>
+                    {event.kind}
+                  </span>
+                  {event.actorLabel ? (
+                    <span className="truncate text-[11px] text-[var(--text-tertiary)]">{event.actorLabel}</span>
+                  ) : null}
+                </div>
+                <span className="shrink-0 font-mono text-[10px] text-[var(--text-tertiary)]">{formatTimestamp(event.timestamp)}</span>
+              </div>
+              <p className="text-sm font-medium text-[var(--text-primary)]">{event.title}</p>
+              <p className="mt-1 text-xs leading-relaxed text-[var(--text-secondary)]">{event.detail}</p>
+            </article>
+          ))}
+          {events.length === 0 ? (
+            <p className="rounded-lg border border-dashed border-[var(--border-subtle)] bg-[var(--surface-quaternary)] px-3 py-4 text-sm text-[var(--text-tertiary)]">
+              No runtime events yet.
+            </p>
+          ) : null}
+        </div>
+      )}
+    </section>
+  );
+}
diff --git a/src/components/shared/unified-shell.tsx b/src/components/shared/unified-shell.tsx
index f651701..7e3cee5 100644
--- a/src/components/shared/unified-shell.tsx
+++ b/src/components/shared/unified-shell.tsx
@@ -3,27 +3,30 @@
 import { useCallback, useEffect, useMemo, useState } from 'react';
 import { X } from 'lucide-react';
 import { useRouter } from 'next/navigation';
-import type { BeadIssue } from '../../lib/types';
-import type { ProjectScopeOption } from '../../lib/project-scope';
+import type { BeadIssue } from '../../lib/types';
+import type { ProjectScopeOption } from '../../lib/project-scope';
+import { buildLaunchRequest, createLaunchConsoleEvents, createOrchestratorInstance, type RuntimeConsoleEvent, type RuntimeStatus } from '../../lib/embedded-runtime';
 import { TopBar } from './top-bar';
-import { LeftPanel, type LeftPanelFilters } from './left-panel';
+import { LeftPanel, type LeftPanelFilters } from './left-panel-new';
 import { RightPanel } from './right-panel';
 import { MobileNav } from './mobile-nav';
 import { ThreadDrawer } from './thread-drawer';
 import { ResizeHandle } from './resize-handle';
-import { useUrlState } from '../../hooks/use-url-state';
+import { RuntimeConsole } from './runtime-console';
+import { useUrlState, type LeftSidebarMode } from '../../hooks/use-url-state';
 import { usePanelResize } from '../../hooks/use-panel-resize';
 import { SmartDag } from '../graph/smart-dag';
 import { SocialPage } from '../social/social-page';
 import { buildSocialCards } from '../../lib/social-cards';
 import { ContextualRightPanel } from '../activity/contextual-right-panel';
 import { AssignmentPanel } from '../graph/assignment-panel';
-import { TelemetryStrip } from './telemetry-strip';
-import { useSwarmList } from '../../hooks/use-swarm-list';
-import { useBeadsSubscription } from '../../hooks/use-beads-subscription';
-import { useBdHealth } from '../../hooks/use-bd-health';
-import { BlockedTriageModal } from './blocked-triage-modal';
-import { deriveBlockedIds } from '../../lib/kanban';
+import { TelemetryStrip } from './telemetry-strip';
+import { useSwarmList } from '../../hooks/use-swarm-list';
+import { useBeadsSubscription } from '../../hooks/use-beads-subscription';
+import { useBdHealth } from '../../hooks/use-bd-health';
+import { BlockedTriageModal } from './blocked-triage-modal';
+import { deriveBlockedIds } from '../../lib/kanban';
+import { projectOrchestratorChat } from '../../lib/orchestrator-chat';
 
 export interface UnifiedShellProps {
   issues: BeadIssue[];
@@ -33,13 +36,27 @@ export interface UnifiedShellProps {
   projectScopeMode: 'single' | 'aggregate';
 }
 
+function mergeUniqueRuntimeEvents(existing: RuntimeConsoleEvent[], incoming: RuntimeConsoleEvent[]): RuntimeConsoleEvent[] {
+  const seen = new Set<string>();
+  const merged: RuntimeConsoleEvent[] = [];
+
+  for (const event of [...incoming, ...existing]) {
+    if (seen.has(event.id)) continue;
+    seen.add(event.id);
+    merged.push(event);
+  }
+
+  return merged.slice(0, 40);
+}
+
 export function UnifiedShell({
   issues: initialIssues,
   projectRoot,
   projectScopeOptions,
 }: UnifiedShellProps) {
   const router = useRouter();
-  const { view, taskId, setTaskId, swarmId, graphTab, panel, drawer, setDrawer, epicId, setEpicId, blockedOnly } = useUrlState();
+  const { view, taskId, setTaskId, swarmId, graphTab, drawer, setDrawer, epicId, setEpicId, blockedOnly } = useUrlState();
+  const [leftSidebarMode, setLeftSidebarMode] = useState<LeftSidebarMode>('epics');
 
   // Subscribe to SSE for real-time updates on ALL views
   const { issues } = useBeadsSubscription(initialIssues, projectRoot);
@@ -66,29 +83,32 @@ export function UnifiedShell({
   }, []);
 
   const [customRightPanel, setCustomRightPanel] = useState<React.ReactNode | null>(null);
+  const [orchestrator, setOrchestrator] = useState(() => createOrchestratorInstance(projectRoot));
+  const [runtimeEvents, setRuntimeEvents] = useState<RuntimeConsoleEvent[]>([]);
+  const [daemonLifecycle, setDaemonLifecycle] = useState<{ status: RuntimeStatus | 'stopped' | 'starting' | 'stopping' | 'failed' } | null>(null);
 
   // Assign mode state for graph view
   const [assignMode, setAssignMode] = useState(false);
   const [selectedAssignIssue, setSelectedAssignIssue] = useState<BeadIssue | null>(null);
   
-// Remember last non-telemetry state for minimize button
-  const [lastTaskId, setLastTaskId] = useState<string | null>(null);
-  const [lastAssignMode, setLastAssignMode] = useState(false);
-
-  // Blocked triage modal state
-  const [blockedTriageOpen, setBlockedTriageOpen] = useState(false);
-  const handleOpenBlockedTriage = useCallback(() => setBlockedTriageOpen(true), []);
-  const handleCloseBlockedTriage = useCallback(() => setBlockedTriageOpen(false), []);
+// Remember last non-telemetry state for minimize button
+  const [lastTaskId, setLastTaskId] = useState<string | null>(null);
+  const [lastAssignMode, setLastAssignMode] = useState(false);
 
-  const socialCards = useMemo(() => buildSocialCards(issues), [issues]);
-  const blockedIds = useMemo(() => deriveBlockedIds(issues), [issues]);
-  const blockedCount = useMemo(() => {
-    return issues.filter(i => i.status === 'blocked' || blockedIds.has(i.id)).length;
-  }, [issues, blockedIds]);
-  const { swarms: swarmCards } = useSwarmList(projectRoot);
-  const bdHealth = useBdHealth(projectRoot);
-
-  const selectedSocialCard = taskId ? socialCards.find(c => c.id === taskId) : null;
+  // Blocked triage modal state
+  const [blockedTriageOpen, setBlockedTriageOpen] = useState(false);
+  const handleOpenBlockedTriage = useCallback(() => setBlockedTriageOpen(true), []);
+  const handleCloseBlockedTriage = useCallback(() => setBlockedTriageOpen(false), []);
+
+  const socialCards = useMemo(() => buildSocialCards(issues), [issues]);
+  const blockedIds = useMemo(() => deriveBlockedIds(issues), [issues]);
+  const blockedCount = useMemo(() => {
+    return issues.filter(i => i.status === 'blocked' || blockedIds.has(i.id)).length;
+  }, [issues, blockedIds]);
+  const { swarms: swarmCards } = useSwarmList(projectRoot);
+  const bdHealth = useBdHealth(projectRoot);
+
+  const selectedSocialCard = taskId ? socialCards.find(c => c.id === taskId) : null;
   const selectedSwarmCard = swarmId ? swarmCards.find(c => c.swarmId === swarmId) : null;
   const selectedIssue = taskId ? issues.find((issue) => issue.id === taskId) ?? null : null;
 
@@ -131,6 +151,116 @@ export function UnifiedShell({
     setAssignMode(true);
   }, [setTaskId]);
 
+  useEffect(() => {
+    let cancelled = false;
+
+    async function bootstrapRuntime() {
+      try {
+        const [statusResponse, orchestratorResponse, eventsResponse] = await Promise.all([
+          fetch('/api/runtime/status'),
+          fetch('/api/runtime/orchestrator', {
+            method: 'POST',
+            headers: { 'content-type': 'application/json' },
+            body: JSON.stringify({ projectRoot }),
+          }),
+          fetch(`/api/runtime/events?projectRoot=${encodeURIComponent(projectRoot)}`),
+        ]);
+
+        const statusPayload = await statusResponse.json().catch(() => null);
+        const orchestratorPayload = await orchestratorResponse.json().catch(() => null);
+        const eventsPayload = await eventsResponse.json().catch(() => null);
+
+        if (cancelled) {
+          return;
+        }
+
+        if (statusResponse.ok && statusPayload?.lifecycle) {
+          setDaemonLifecycle(statusPayload.lifecycle);
+        }
+        if (orchestratorResponse.ok && orchestratorPayload?.ok && orchestratorPayload.data) {
+          setOrchestrator(orchestratorPayload.data);
+        }
+        if (orchestratorPayload?.lifecycle) {
+          setDaemonLifecycle(orchestratorPayload.lifecycle);
+        }
+        if (eventsResponse.ok && eventsPayload?.ok && Array.isArray(eventsPayload.data)) {
+          setRuntimeEvents((current) => mergeUniqueRuntimeEvents(current, eventsPayload.data));
+        }
+      } catch {
+        // Runtime bootstrap is best-effort during early integration.
+      }
+    }
+
+    void bootstrapRuntime();
+    return () => {
+      cancelled = true;
+    };
+  }, [projectRoot]);
+
+  useEffect(() => {
+    // daemon lifecycle and runtime events should come from the daemon stream, not local shell ownership
+    const source = new EventSource(`/api/runtime/stream?projectRoot=${encodeURIComponent(projectRoot)}`);
+    const onRuntime = (event: MessageEvent) => {
+      try {
+        const payload = JSON.parse(event.data) as RuntimeConsoleEvent;
+        setRuntimeEvents((current) => mergeUniqueRuntimeEvents(current, [payload]));
+      } catch {
+        // Ignore malformed runtime frames.
+      }
+    };
+
+    source.addEventListener('runtime', onRuntime as EventListener);
+
+    return () => {
+      source.removeEventListener('runtime', onRuntime as EventListener);
+      source.close();
+    };
+  }, [projectRoot]);
+
+  const handleAskOrchestrator = useCallback(async (issueId: string) => {
+    const issue = issues.find((entry) => entry.id === issueId);
+    if (!issue) {
+      return;
+    }
+
+    const optimisticRequest = buildLaunchRequest({
+      issue,
+      origin: 'social',
+      projectRoot,
+      swarmId,
+    });
+    const optimisticEvents = createLaunchConsoleEvents(optimisticRequest);
+    setLeftSidebarMode('orchestrator');
+    setRuntimeEvents((current) => mergeUniqueRuntimeEvents(current, optimisticEvents));
+
+    try {
+      const response = await fetch('/api/runtime/launch', {
+        method: 'POST',
+        headers: { 'content-type': 'application/json' },
+        body: JSON.stringify({
+          projectRoot,
+          taskId: issueId,
+          origin: 'social',
+          swarmId,
+        }),
+      });
+      const payload = await response.json().catch(() => null);
+      if (response.ok && payload?.ok) {
+        if (payload.lifecycle) {
+          setDaemonLifecycle(payload.lifecycle);
+        }
+        if (payload.data?.orchestrator) {
+          setOrchestrator(payload.data.orchestrator);
+        }
+        if (Array.isArray(payload.data?.events)) {
+          setRuntimeEvents((current) => mergeUniqueRuntimeEvents(current, payload.data.events));
+        }
+      }
+    } catch {
+      // Keep optimistic console events visible; bridge hardening comes in later phases.
+    }
+  }, [issues, projectRoot, setLeftSidebarMode, swarmId]);
+
   // Minimize: restore last clicked thing (task or assign mode)
   const handleMinimize = useCallback(() => {
     if (lastTaskId) {
@@ -156,23 +286,23 @@ export function UnifiedShell({
 
   // Chat Mode Logic: If a card is selected (drawer='open'), we show Chat popup
   const isChatOpen = drawer === 'open' && (!!taskId || !!swarmId || !!epicId);
-  const selectedEpic = epicId ? issues.find((issue) => issue.id === epicId && issue.issue_type === 'epic') ?? null : null;
-  const drawerTitle = selectedSocialCard?.title || selectedSwarmCard?.title || selectedEpic?.title || '';
-  const drawerId = taskId || swarmId || epicId || '';
-  const selectedItem = selectedEpic ?? selectedIssue;
-
-  useEffect(() => {
-    if (!filters.hideClosed || !epicId) {
-      return;
-    }
-    const epic = issues.find((issue) => issue.id === epicId && issue.issue_type === 'epic');
-    if (!epic) {
-      return;
-    }
-    if (epic.status === 'closed' || epic.status === 'tombstone') {
-      setEpicId(null);
-    }
-  }, [filters.hideClosed, epicId, issues, setEpicId]);
+  const selectedEpic = epicId ? issues.find((issue) => issue.id === epicId && issue.issue_type === 'epic') ?? null : null;
+  const drawerTitle = selectedSocialCard?.title || selectedSwarmCard?.title || selectedEpic?.title || '';
+  const drawerId = taskId || swarmId || epicId || '';
+  const selectedItem = selectedEpic ?? selectedIssue;
+
+  useEffect(() => {
+    if (!filters.hideClosed || !epicId) {
+      return;
+    }
+    const epic = issues.find((issue) => issue.id === epicId && issue.issue_type === 'epic');
+    if (!epic) {
+      return;
+    }
+    if (epic.status === 'closed' || epic.status === 'tombstone') {
+      setEpicId(null);
+    }
+  }, [filters.hideClosed, epicId, issues, setEpicId]);
 
   // Panel resize hook
   const { leftWidth, rightWidth, handleLeftResize, handleRightResize } = usePanelResize();
@@ -214,6 +344,7 @@ export function UnifiedShell({
           projectRoot={projectRoot}
           swarmId={swarmId ?? undefined}
           onRocketClick={handleSocialRocket}
+          onAskOrchestrator={handleAskOrchestrator}
         />
       );
     }
@@ -262,16 +393,16 @@ export function UnifiedShell({
   return (
     <div className="flex flex-col h-screen bg-[var(--surface-backdrop)]" data-testid="unified-shell">
       {/* TOP BAR: 3rem fixed */}
-<TopBar
-        totalTasks={issues.filter(i => i.issue_type !== 'epic').length}
-        criticalAlerts={blockedCount}
-        busyCount={issues.filter(i => i.status === 'in_progress').length}
-        idleCount={0}
-        actor={actor}
-        onActorChange={handleActorChange}
-        onLaunchSwarm={() => { setTaskId(null); setAssignMode(true); }}
-        onOpenBlockedTriage={handleOpenBlockedTriage}
-      />
+<TopBar
+        totalTasks={issues.filter(i => i.issue_type !== 'epic').length}
+        criticalAlerts={blockedCount}
+        busyCount={issues.filter(i => i.status === 'in_progress').length}
+        idleCount={0}
+        actor={actor}
+        onActorChange={handleActorChange}
+        onLaunchSwarm={() => { setTaskId(null); setAssignMode(true); }}
+        onOpenBlockedTriage={handleOpenBlockedTriage}
+      />
       {!bdHealth.loading && !bdHealth.healthy ? (
         <div className="border-b border-amber-500/35 bg-amber-500/12 px-4 py-2 text-xs text-amber-100">
           <span className="font-semibold">BD setup issue:</span> {bdHealth.message}
@@ -293,6 +424,11 @@ export function UnifiedShell({
             filters={filters}
             onFiltersChange={setFilters}
             onAssignMode={(epicId) => { setEpicId(epicId); setTaskId(null); setAssignMode(true); }}
+            sidebarMode={leftSidebarMode}
+            onSidebarModeChange={setLeftSidebarMode}
+            orchestrator={orchestrator}
+            orchestratorThread={projectOrchestratorChat(runtimeEvents)}
+            projectRoot={projectRoot}
           />
         </div>
 
@@ -344,20 +480,22 @@ export function UnifiedShell({
         </div>
       ) : null}
 
-{/* MOBILE NAV: Bottom tab bar */}
-      <MobileNav />
-
-      {/* BLOCKED TRIAGE MODAL */}
-      <BlockedTriageModal
-        isOpen={blockedTriageOpen}
-        onClose={handleCloseBlockedTriage}
-        issues={issues}
-        projectRoot={projectRoot}
-        onSelectTask={(taskId) => {
-          setTaskId(taskId);
-          handleCloseBlockedTriage();
-        }}
-      />
-    </div>
+      <RuntimeConsole events={runtimeEvents} daemonStatus={daemonLifecycle?.status ?? null} />
+
+{/* MOBILE NAV: Bottom tab bar */}
+      <MobileNav />
+
+      {/* BLOCKED TRIAGE MODAL */}
+      <BlockedTriageModal
+        isOpen={blockedTriageOpen}
+        onClose={handleCloseBlockedTriage}
+        issues={issues}
+        projectRoot={projectRoot}
+        onSelectTask={(taskId) => {
+          setTaskId(taskId);
+          handleCloseBlockedTriage();
+        }}
+      />
+    </div>
   );
 }
